@charset "UTF-8";

.hamburger {
    display: none;
}

  .header__nav-area {
    display: none;
  }


@media screen and (max-width:768px) {
    .header__nav-area{
        display: block;
    }
    .hamburger {
        display: block;
        height: 30px;
        margin-left: auto;
        position: absolute;
        top: 16px;
        left: 20px;
        z-index: 10;
        width: 20px;
        border: none;
        background-color: transparent;
    }

    .hamburger.-active .hamburger__line {
        background-color: transparent;
    }

    .hamburger.-active .hamburger__line::before {
        top: 0;
        transform: rotate(45deg);
    }

    .hamburger.-active .hamburger__line::after {
        top: 0;
        transform: rotate(-45deg);
    }

    .hamburger__line {
        display: block;
        height: 2px;
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translateX(-50%);
        width: 24px;
        background-color: #fff;
        transition: 0.4s;
    }

    .hamburger__line:before,
    .hamburger__line:after {
        content: "";
        display: block;
        height: 100%;
        position: absolute;
        width: 100%;
        background-color: #fff;
        transition: inherit;
    }

    .hamburger__line:before {
        top: -8px;
    }

    .hamburger__line:after {
        top: 8px;
    }

    .header__nav-area {
        position: absolute;
        top: 63px;
        left: -100%;
        z-index: 2;
        height: 100vh;
        width: 80%;
        visibility: hidden;
        background-color: #fff;
        transition: 0.4s;
        align-items: flex-start;
        overflow-y: scroll;
    }

    .header__nav-area.-active {
        left: 0;
        visibility: visible;
        justify-content: flex-start;
        align-items: flex-start;
    }

    /* .global-navigation {
        padding-top: 40px;
        padding-right: 25px;
        padding-bottom: 120px;
        padding-left: 25px;
    }

    .global-navigation__list>li {
        padding-bottom: 20px;
        border-bottom: 2px solid #e7e9ee;
    }

    .global-navigation__list>li+li {
        margin-top: 20px;
    }

    .global-navigation__link {
        display: flex;
        align-items: center;
        justify-content: space-between;
        color: #4977b1;
        font-weight: 900;
        transition: color 0.4s;
        font-size: 0.875rem;
    } */

    /* .global-navigation__link.-accordion {
        position: relative;
        background: none;
        border: none;
        -webkit-appearance: none;
        -moz-appearance: none;
        appearance: none;
        width: 100%;
        padding: 0;
    }

    .global-navigation__link.-accordion::after {
        content: '';
        display: block;
        height: 12px;
        position: absolute;
        top: 50%;
        right: 5px;
        width: 2px;
        background-color: #ed3242;
        transform: translateY(-50%);
        transition: transform 0.4s;
    }

    .global-navigation__link.-accordion::before {
        content: '';
        display: block;
        height: 2px;
        position: absolute;
        top: 50%;
        right: 0;
        width: 12px;
        background-color: #ed3242;
        transform: translateY(-50%);

    }

    .global-navigation__link.-active::after {
        transform: translateY(-50%) rotate(-90deg);
    }

    .accordion {
        height: 0;
        overflow: hidden;
        visibility: hidden;
        transition: 0.4s;
    }

    .accordion.-active {
        height: auto;
        padding-top: 30px;
        visibility: visible;
    }

    .accordion__list li {
        font-size: 0.75rem;
    }

    .accordion__list li+li {
        margin-top: 21px;
    }

    .accordion__link {
        color: #4977b1;
    } */

    .global-nav {
        padding: 15px;
        min-height: 800px;
    }


    .global-nav__item {
        border-bottom: 1px solid #f2f2f2;
    }

    .global-nav__link {
        display: block;
        padding: 1em 0;
    }


    .global-nav__sub-list {
        height: 0;
        overflow: hidden;
        margin: 0;
        padding: 0;
        padding-left: 1em;
    }

    .global-nav__sub-list li {
        margin-bottom: 1em;
    }

    .global-nav__sub-list a {
        display: block;
    }


    .global-nav__item.has-submenu>.global-nav__link {
        position: relative;
        cursor: pointer;
    }


    /* 子メニューを持つリンク */
    .global-nav__item.has-submenu>.global-nav__link {
        position: relative;
        cursor: pointer;
        padding-right: 30px;
    }

    /* ＋ */
    .global-nav__item.has-submenu>.global-nav__link::after,
    .global-nav__item.has-submenu>.global-nav__link::before {
        content: '';
        position: absolute;
        top: 50%;
        right: 5px;
        width: 12px;
        height: 1px;
        background: currentColor;
        transition: transform 0.3s ease;
    }

    /* 横線 */
    .global-nav__item.has-submenu>.global-nav__link::after {
        transform: translateY(-50%);
    }

    /* 縦線 */
    .global-nav__item.has-submenu>.global-nav__link::before {
        transform: translateY(-50%) rotate(90deg);
    }

    /* 開いたら「−」 */
    .global-nav__item.has-submenu.active>.global-nav__link::before {
        transform: translateY(-50%) rotate(0deg);
    }


    #modal.-active {
        position: fixed;
        top: 63px;
        width: 100%;
        height: calc(100% - 63px);
        background: #000;
        opacity: .5;
        z-index: 1;
        transition: all ease-in .2s;
    }
}